# std::__future_base::_Ptr< _Res > Struct Template Reference

A unique_ptr based on the instantiating type. More...

Inheritance diagram for std::__future_base::_Ptr< _Res >:
[legend]

List of all members.

## Public Types

- typedef unique_ptr< _Res,
  _Result_base::_Deleter > type

## Detailed Description

### template<typename _Res>
struct std::__future_base::_Ptr< _Res >

A unique_ptr based on the instantiating type.

Definition at line 211 of file future.

The documentation for this struct was generated from the following file:

- future